Subject: [PATCH RESEND] arm64: berlin: add the pinctrl dependency for Marvell Berlin SoCs

From: [email-masked] (Jisheng Zhang)
Date: Fri, 20 Nov 2015 11:26:50 +0800

On Thu, 19 Nov 2015 20:54:23 +0100
Sebastian Hesselbarth wrote:

> On 19.11.2015 17:59, Jisheng Zhang wrote:
> > On Tue, 17 Nov 2015 13:41:54 +0000
> > Catalin Marinas wrote:
> >   
> >>>  this small patch is missed:
> >>>  http://lists.infradead.org/pipermail/linux-arm-kernel/2015-October/378638.html
> >>>  arch/arm64/Kconfig.platforms | 1 +
> >>>  1 file changed, 1 insertion(+)
> >>>
> >>> diff --git a/arch/arm64/Kconfig.platforms b/arch/arm64/Kconfig.platforms
> >>> index 4043c35..905d308 100644
> >>> --- a/arch/arm64/Kconfig.platforms
> >>> +++ b/arch/arm64/Kconfig.platforms
> >>> @@ -9,6 +9,7 @@ config ARCH_BERLIN
> >>>  	bool "Marvell Berlin SoC Family"
> >>>  	select ARCH_REQUIRE_GPIOLIB
> >>>  	select DW_APB_ICTL
> >>> +	select PINCTRL
> >>>  	help
> >>>  	  This enables support for Marvell Berlin SoC Family    
> >>
> >> Cc'ing arm-soc.
> >>  
> > 
> > when adding clk support for BG4CT, I found
> > 
> > http://lists.infradead.org/pipermail/linux-arm-kernel/2015-October/378634.html
> > and
> > http://lists.infradead.org/pipermail/linux-arm-kernel/2015-October/378635.html
> > 
> > are also missed in v4.4-rc1.
> > 
> > I know you are very busy but I dunno what's wrong. Can you please check?  
> 
> Jisheng,
> 
> there is nothing wrong. I applied the patches in question but didn't
> make it to send another pull-request in time.
> 
> I have re-added both patches to berlin64/dt again that will be sent
> for v4.4.
> 

Dear Sebastian,

I'm glad our berlin maintainer is back ;)

In last two years, you helped Marvell Berlin SoC mainline progress a lot and
gave lots of wonderful review comments and suggestions, I hope you can
continue to help us even I know your are very busy :D

In next few days, I'll send out patches for BG4CT clk, dts for i2c, dw-apb timer
dw-spi and BG4CT cpuidle. And maybe usb 2.0 support.

Thanks for your time,
Jisheng